# Class MoveChargeAnim

#### Hierarchy (view full)

- MoveAnim
  - MoveChargeAnim

- Defined in src/data/battle-anims.ts:1028

#####
Index

### Constructors

constructor

### Properties

bgSprite
chargeAnim
move
sprites
target
user

### Methods

getAnim
isHideTarget
isHideUser
isOppAnim
play

## Constructors

### constructor

- new MoveChargeAnim(chargeAnim, move, user): MoveChargeAnim

- #### Parameters

  - chargeAnim: ChargeAnim
  - move: Moves
  - user: default

  #### Returns MoveChargeAnim

  Overrides MoveAnim.constructor

  - Defined in src/data/battle-anims.ts:1031

## Properties

### bgSprite

bgSprite: TileSprite | Rectangle

Inherited from MoveAnim.bgSprite

- Defined in src/data/battle-anims.ts:674

### `Private` chargeAnim

chargeAnim: ChargeAnim

- Defined in src/data/battle-anims.ts:1029

### move

move: Moves

Inherited from MoveAnim.move

- Defined in src/data/battle-anims.ts:1001

### sprites

sprites: Sprite[]

Inherited from MoveAnim.sprites

- Defined in src/data/battle-anims.ts:673

### target

target: default

Inherited from MoveAnim.target

- Defined in src/data/battle-anims.ts:672

### user

user: default

Inherited from MoveAnim.user

- Defined in src/data/battle-anims.ts:671

## Methods

### getAnim

- getAnim(): AnimConfig

- #### Returns AnimConfig

  Overrides MoveAnim.getAnim

  - Defined in src/data/battle-anims.ts:1041

### `Protected` isHideTarget

- isHideTarget(): boolean

- #### Returns boolean

  Inherited from MoveAnim.isHideTarget

  - Defined in src/data/battle-anims.ts:1023

### `Protected` isHideUser

- isHideUser(): boolean

- #### Returns boolean

  Inherited from MoveAnim.isHideUser

  - Defined in src/data/battle-anims.ts:1019

### isOppAnim

- isOppAnim(): boolean

- #### Returns boolean

  Overrides MoveAnim.isOppAnim

  - Defined in src/data/battle-anims.ts:1037

### play

- play(scene, callback?): void

- #### Parameters

  - scene: default
  - `Optional` callback: Function

  #### Returns void

  Inherited from MoveAnim.play

  - Defined in src/data/battle-anims.ts:751